Anonymous Login
2016-12-07 21:14 CET

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
08712Bug reports[All Projects] Tokenspublic2014-02-16 18:32
ReporterMazi 
Assigned Toc_schmitz 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.05+ 
Target Version2.05+Fixed in Version2.05+ 
Summary08712: No confirmation email is sent if uses_left>1
DescriptionWhen using tokens and setting the survey to send confirmation emails, no confirmation email is sent if the related token had a uses_left value of >1 which after submit gets decreased to a value >0.

This might be related to the fact that no completion date is set after submit.
Steps To Reproduce1. At any test survey activate tokens. Check that confirmation emails are activated
2. Add a new token with uses_left = e.g. 10
3. Activate the survey and use the new token to fill it out.
4. Uses left gets decreased but no confirmation email is being sent.
TagsNo tags attached.
Complete LimeSurvey version number (& build)131209
I will donate to the project if issue is resolvedNo
BrowserGoogle Chrome
Database & DB-VersionMySQL 5
Operating System (Server)Linux
Webserver software & versionApache
PHP Version5.3
Attached Files

-Relationships
+Relationships

-Notes

~28718

DenisChenu (developer)

Last edited: 2014-02-13 20:16

View 2 revisions

With survey 'allow edit after completion' we have a email each time (Some user receive 10 email in 10 minutes ...)

This great if we can deactivate it (but can do a plugin too).

~28762

c_schmitz (administrator)

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=13897

~28771

c_schmitz (administrator)

2.05+ Build 140216 released
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2014-02-13 10:22 Mazi New Issue
2014-02-13 10:22 Mazi Status new => assigned
2014-02-13 10:22 Mazi Assigned To => c_schmitz
2014-02-13 20:15 DenisChenu Note Added: 28718
2014-02-13 20:16 DenisChenu Note Edited: 28718 View Revisions
2014-02-16 16:56 c_schmitz Status assigned => resolved
2014-02-16 16:56 c_schmitz Fixed in Version => 2.05+
2014-02-16 16:56 c_schmitz Resolution open => fixed
2014-02-16 16:56 c_schmitz Changeset attached => LimeSurvey master a4778049
2014-02-16 16:56 c_schmitz Note Added: 28762
2014-02-16 18:32 c_schmitz Note Added: 28771
2014-02-16 18:32 c_schmitz Status resolved => closed
+Issue History